<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StatTreeLineClause extends Model
{
    public $table = 'stat_tree_line_clause';
    public $timestamps = false;

    public function clause(){
        return $this->hasOne(Clause::class, 'id', 'clause_id');
    }

    public function lineClauseArgs() {
        return $this->hasMany(StatTreeLineClauseArg::class, 'stat_tree_line_clause_id', 'id')->orderBy('id');
    }

}
